//
//  ERDropFileView.h
//  FreeboxFax
//
//  Created by Eric Reboux on 30/08/08.
//  Copyright 2008 Eric Reboux Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>

@interface ERDropFileView : NSImageView <QLPreviewPanelDataSource, QLPreviewPanelDelegate>
{
	BOOL chooseFileButtonSelected, quickLookButtonSelected, quickLookAvailable, hasQuickLookButton, highlighted;
	id delegate;
	NSArray *extensionsFilter;
	NSImage *chooseFileImage, *quickLookImage;
	NSString *filePath;
	QLPreviewPanel *previewPanel;
}

- (id)delegate;
- (void)setDelegate:(id)newDelegate;
- (NSString *)filePath;
- (void)setFilePath:(NSString *)aFilePath;
- (NSArray *)ExtensionsFilter;
- (void)setExtensionsFilter:(NSArray *)extensions;
- (void)cut:(id)sender;
- (void)copy:(id)sender;
- (void)paste:(id)sender;

@end

@interface NSObject (ERDropFileViewDelegateMethod)
- (void)dropFileViewDidChange;
@end
